them.es WordPress Single Application Theme v2.0 released

Polymer v2.0 has landed and it was time to update the code basis for the them.es Single Page Application Starter Theme.

So, what has changed?

  • A lot! But for good reasons.
  • The Theme works with WordPress 4.7+. No additional RestAPI-Plugin is required anymore.
  • typeahead.js-Autocomplete has been replaced with a custom Web components solution using iron-selector
  • All required elements have been updated to Polymer 2.0
  • ES6 class-based syntax
  • The app layout has been rewritten to align with Polymer Starter Kit v2

You can test and download a customized version of the WordPress Theme on them.es or check out the code on GitHub.

If you have questions, feel free to post a new request on https://them.es/support.

Landkind/Stadtkind. Stepping out of my comfort zone. Trying out ideas. Learning from it. Doing good work with good people.